// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

public interface TradeDtoOrBuilder extends
    // @@protoc_insertion_point(interface_extends:com.accelfin.server.demo.fx.dtos.TradeDto)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <code>optional string trade_id = 1;</code>
   */
  java.lang.String getTradeId();
  /**
   * <code>optional string trade_id = 1;</code>
   */
  com.google.protobuf.ByteString
      getTradeIdBytes();

  /**
   * <code>optional string currency_pair = 2;</code>
   */
  java.lang.String getCurrencyPair();
  /**
   * <code>optional string currency_pair = 2;</code>
   */
  com.google.protobuf.ByteString
      getCurrencyPairBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  boolean hasNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getNotional();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto notional = 3;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getNotionalOrBuilder();

  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  int getSideValue();
  /**
   * <code>optional .com.accelfin.server.demo.fx.dtos.SideDto side = 4;</code>
   */
  com.accelfin.server.demo.fx.dtos.SideDto getSide();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 5;</code>
   */
  boolean hasRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDto getRate();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.DecimalDto rate = 5;</code>
   */
  com.accelfin.server.messaging.dtos.DecimalDtoOrBuilder getRateOrBuilder();

  /**
   * <code>optional string user_name = 6;</code>
   */
  java.lang.String getUserName();
  /**
   * <code>optional string user_name = 6;</code>
   */
  com.google.protobuf.ByteString
      getUserNameBytes();

  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  boolean hasExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDto getExecutedAt();
  /**
   * <code>optional .com.accelfin.server.messaging.dtos.TimestampDto executed_at = 7;</code>
   */
  com.accelfin.server.messaging.dtos.TimestampDtoOrBuilder getExecutedAtOrBuilder();
}
